Pin a post to your profile

PATCH https://api.cryptohopper.com/v1/social/post/{id}/pin

Pins one of your own posts to the top of your profile. Any post that was pinned before is unpinned.

OAuth scope: manage About scopes

Example request

curl -X PATCH "https://api.cryptohopper.com/v1/social/post/POST_ID/pin" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Numeric ID of the post. Must be a post of your own profile.

Response

Example response (illustrative values)

{
    "data": "Post pinned to top of profile."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.